STRUCT THREAD_GROUP_(9)

NAME
struct_thread_group_cputimer - thread group interval timer counts

SYNOPSIS

struct thread_group_cputimer {
  struct task_cputime cputime;
  int running;
  raw_spinlock_t lock;
};

MEMBERS

cputime
    thread group interval timers.

running
    non-zero when there are timers running and cputime receives updates.

lock
    lock for fields in this struct.

DESCRIPTION

This structure contains the version of task_cputime, above, that is used for thread group CPU timer calculations.

COPYRIGHT